Subject: bug#4653: 23.1.50; ordering of bookmark-jump menu

From: Markus Rost <[email-masked]>
Date: Tue, 6 Oct 2009 16:57:23 +0200 (CEST)

Sorry, that *was* the case with Emacs 22 as well.  In my private copy
of Emacs 22 I had applied the patch below (I have added 'bookmark-jump
to the tool-bar and I use the menu very often).

A change like in the patch seems to be more consistent with the
documentation of bookmark-sort-flag:

Non-nil means that bookmarks will be displayed sorted by bookmark name.

*** lisp/bookmark.el.~1~	2008-01-07 03:45:03.000000000 +0100
--- lisp/bookmark.el	2009-01-22 02:28:54.000000000 +0100
***************
*** 460,466 ****
  the empty string."
    (bookmark-maybe-load-default-file) ; paranoia
    (if (listp last-nonmenu-event)
!       (bookmark-menu-popup-paned-menu t prompt (bookmark-all-names))
      (let* ((completion-ignore-case bookmark-completion-ignore-case)
  	   (default default)
  	   (prompt (if default
--- 460,470 ----
  the empty string."
    (bookmark-maybe-load-default-file) ; paranoia
    (if (listp last-nonmenu-event)
!       (bookmark-menu-popup-paned-menu t prompt
! 				      (if bookmark-sort-flag
! 					  (sort (bookmark-all-names)
! 						'string-lessp)
! 					(bookmark-all-names)))
      (let* ((completion-ignore-case bookmark-completion-ignore-case)
  	   (default default)
  	   (prompt (if default